- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiSolverInterface::ApplyCutsReturnCode Class Reference

Internal class for obtaining status from the applyCuts method. More...

`#include <OsiSolverInterface.hpp>`

List of all members.

## Public Member Functions
Constructors and desctructors
| ApplyCutsReturnCode ()
| Default constructor.
| ApplyCutsReturnCode (const ApplyCutsReturnCode &rhs)
| Copy constructor.
ApplyCutsReturnCode & | operator= (const ApplyCutsReturnCode &rhs)
| Assignment operator.
| ~ApplyCutsReturnCode ()
| Destructor.
Accessing return code attributes
int | getNumInconsistent ()
| Number of logically inconsistent cuts.
int | getNumInconsistentWrtIntegerModel ()
| Number of cuts inconsistent with the current model.
int | getNumInfeasible ()
| Number of cuts that cause obvious infeasibility.
int | getNumIneffective ()
| Number of redundant or ineffective cuts.
int | getNumApplied ()
| Number of cuts applied.
## Private Member Functions
Private methods
void | incrementInternallyInconsistent ()
| Increment logically inconsistent cut counter.
void | incrementExternallyInconsistent ()
| Increment model-inconsistent counter.
void | incrementInfeasible ()
| Increment infeasible cut counter.
void | incrementIneffective ()
| Increment ineffective cut counter.
void | incrementApplied ()
| Increment applied cut counter.
## Private Attributes
Private member data
int | intInconsistent_
| Counter for logically inconsistent cuts.
int | extInconsistent_
| Counter for model-inconsistent cuts.
int | infeasible_
| Counter for infeasible cuts.
int | ineffective_
| Counter for ineffective cuts.
int | applied_
| Counter for applied cuts.
## Friends
class | OsiSolverInterface
class | OsiOslSolverInterface
class | OsiClpSolverInterface

## Detailed Description

Internal class for obtaining status from the applyCuts method.

Definition at line 72 of file OsiSolverInterface.hpp.

## Constructor & Destructor Documentation

OsiSolverInterface::ApplyCutsReturnCode::ApplyCutsReturnCode | ( |  | ) | `[inline]`

Default constructor.

Definition at line 81 of file OsiSolverInterface.hpp.

OsiSolverInterface::ApplyCutsReturnCode::ApplyCutsReturnCode | ( | const ApplyCutsReturnCode & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 88 of file OsiSolverInterface.hpp.

OsiSolverInterface::ApplyCutsReturnCode::~ApplyCutsReturnCode | ( |  | ) | `[inline]`

Destructor.

Definition at line 107 of file OsiSolverInterface.hpp.

## Member Function Documentation

ApplyCutsReturnCode& OsiSolverInterface::ApplyCutsReturnCode::operator= | ( | const ApplyCutsReturnCode & | rhs | ) | `[inline]`

Assignment operator.

Definition at line 95 of file OsiSolverInterface.hpp.

References applied_, extInconsistent_, ineffective_, infeasible_, and intInconsistent_.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInconsistent | ( |  | ) | `[inline]`

Number of logically inconsistent cuts.

Definition at line 113 of file OsiSolverInterface.hpp.

References intInconsistent_.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInconsistentWrtIntegerModel | ( |  | ) | `[inline]`

Number of cuts inconsistent with the current model.

Definition at line 115 of file OsiSolverInterface.hpp.

References extInconsistent_.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInfeasible | ( |  | ) | `[inline]`

Number of cuts that cause obvious infeasibility.

Definition at line 117 of file OsiSolverInterface.hpp.

References infeasible_.

int OsiSolverInterface::ApplyCutsReturnCode::getNumIneffective | ( |  | ) | `[inline]`

Number of redundant or ineffective cuts.

Definition at line 119 of file OsiSolverInterface.hpp.

References ineffective_.

int OsiSolverInterface::ApplyCutsReturnCode::getNumApplied | ( |  | ) | `[inline]`

Number of cuts applied.

Definition at line 121 of file OsiSolverInterface.hpp.

References applied_.

void OsiSolverInterface::ApplyCutsReturnCode::incrementInternallyInconsistent | ( |  | ) | `[inline, private]`

Increment logically inconsistent cut counter.

Definition at line 128 of file OsiSolverInterface.hpp.

References intInconsistent_.

void OsiSolverInterface::ApplyCutsReturnCode::incrementExternallyInconsistent | ( |  | ) | `[inline, private]`

Increment model-inconsistent counter.

Definition at line 130 of file OsiSolverInterface.hpp.

References extInconsistent_.

void OsiSolverInterface::ApplyCutsReturnCode::incrementInfeasible | ( |  | ) | `[inline, private]`

Increment infeasible cut counter.

Definition at line 132 of file OsiSolverInterface.hpp.

References infeasible_.

void OsiSolverInterface::ApplyCutsReturnCode::incrementIneffective | ( |  | ) | `[inline, private]`

Increment ineffective cut counter.

Definition at line 134 of file OsiSolverInterface.hpp.

References ineffective_.

void OsiSolverInterface::ApplyCutsReturnCode::incrementApplied | ( |  | ) | `[inline, private]`

Increment applied cut counter.

Definition at line 136 of file OsiSolverInterface.hpp.

References applied_.

## Friends And Related Function Documentation

friend class OsiSolverInterface`[friend]`

Definition at line 73 of file OsiSolverInterface.hpp.

friend class OsiOslSolverInterface`[friend]`

Definition at line 74 of file OsiSolverInterface.hpp.

friend class OsiClpSolverInterface`[friend]`

Definition at line 75 of file OsiSolverInterface.hpp.

## Member Data Documentation

int OsiSolverInterface::ApplyCutsReturnCode::intInconsistent_`[private]`

Counter for logically inconsistent cuts.

Definition at line 142 of file OsiSolverInterface.hpp.

Referenced by getNumInconsistent(), incrementInternallyInconsistent(), and operator=().

int OsiSolverInterface::ApplyCutsReturnCode::extInconsistent_`[private]`

Counter for model-inconsistent cuts.

Definition at line 144 of file OsiSolverInterface.hpp.

Referenced by getNumInconsistentWrtIntegerModel(), incrementExternallyInconsistent(), and operator=().

int OsiSolverInterface::ApplyCutsReturnCode::infeasible_`[private]`

Counter for infeasible cuts.

Definition at line 146 of file OsiSolverInterface.hpp.

Referenced by getNumInfeasible(), incrementInfeasible(), and operator=().

int OsiSolverInterface::ApplyCutsReturnCode::ineffective_`[private]`

Counter for ineffective cuts.

Definition at line 148 of file OsiSolverInterface.hpp.

Referenced by getNumIneffective(), incrementIneffective(), and operator=().

int OsiSolverInterface::ApplyCutsReturnCode::applied_`[private]`

Counter for applied cuts.

Definition at line 150 of file OsiSolverInterface.hpp.

Referenced by getNumApplied(), incrementApplied(), and operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.92.0/Osi/src/Osi/OsiSolverInterface.hpp